#!/bin/sh

# This script replaces --ext=N with --ext=M according to the 
# map given as first argument: M=map[N] where map=M1:M2:M3:...:Mn
#
# Usage: $0 <ext_map> <esorex command line>

map=$1
shift

old_ext=`echo "$@" | awk -F"--ext=" '{print $2}' | awk '{print $1}'`

new_ext=`echo $map | awk -F: "{print \\$$old_ext}"`

new_cmd_line=`echo "$@" | sed "s/ext=$old_ext/ext=$new_ext/g"`

#echo $new_cmd_line

$new_cmd_line